%define PREFIX /usr
%define NAME pdq
%define VERSION 2.2.1

Summary:	PDQ - Print Don't Queue printer daemon
Name:		%{NAME}
Version:	%{VERSION}
Release:	2
Group:		System/Servers
Copyright:	GPL
Source:		http://pdq.sourceforge.net/ftp/%{NAME}-%{VERSION}.tgz
URL:		http://pdq.sourceforge.net/
Packager:	Soenke J. Peters <peters+rpm@opcenter.de>
Prefix:		%{PREFIX}
Provides:	lpr
BuildRoot:	/var/tmp/%{name}-%{version}-root

%description
Throw away lpr, lp, lpd, lpc, lpq, lpstat, and lprm, and start
planning your vacation!
Pdq is guaranteed to be the most straightforward, flexible print
subsystem you have ever used, or your money back!
(Actually pdq is free software, distributed without warranty.) 
			   
Features:
---------								    
o modular driver and interface support
o jobs can be monitored through completion 
o job status can be checked after completion 
o users can only print files of declared types 
o users can define their own printers
o multitasking, with no queues to get clogged 
o scripts can be embedded in the rc files
o custom command-line options

%package xpdq
Summary: Graphical configuration utility for PDQ
Group: Applications/System

%description xpdq
xpdq is a graphical configuration utility based on GTK
for the PDQ printer daemon.

%prep
%setup -n %{NAME}-%{VERSION}

%build
PREFIX=%{PREFIX}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$PREFIX
make

%install
make prefix=${RPM_BUILD_ROOT}/%{PREFIX} pdqlibdir=${RPM_BUILD_ROOT}/etc/pdq install

%clean
if [ "${RPM_BUILD_ROOT}" != '/' ] ; then rm -rf ${RPM_BUILD_ROOT} ; fi

%files
%{PREFIX}/bin/pdq
%{PREFIX}/bin/lpd_cancel
%{PREFIX}/bin/lpd_print
%{PREFIX}/bin/lpd_status
%{prefix}/man/man1/pdq.1*
%{prefix}/man/man1/lpd_print.1*
%{prefix}/man/man1/lpd_cancel.1*
%{prefix}/man/man1/lpd_status.1*
%{prefix}/man/man5/printrc.5*
%dir /etc/pdq
%doc BUGS CHANGELOG INSTALL LICENSE README doc/rfc1179.txt

%files xpdq
%{PREFIX}/bin/xpdq
%{prefix}/man/man1/xpdq.1*

%changelog
* Thu Feb 08 2001 Soenke J. Peters <peters+rpm@opcenter.de>
  [pdq-2.2.1]
- RedHat/Mandrake RPM package with major improvements

* Wed Jan 17 2000 Christian Mayrhuber <Christian.Mayrhuber@gmx.net>
  [pdq-2.1.1]
- initial RPM package for SuSE 6.3